function [ newx ] = drawNCX2( nu, delta, c_val, xlast )
%draw non-central chi squared random variables
%conditional density of the continuous time SQ model
%note that xlast is (1xN) vector

 deltax = delta.*xlast; 
 poiss = poissrnd(deltax./2);   
 chisq_df = nu + 2.*poiss; 
 newx = 2.*gamrnd(chisq_df./2,ones(1,length(xlast)));
 newx = newx./(2*c_val); 	

end

