function [score]=calcCRPS(f,yobs,llim,ulim)

%computes the quadratic score
%inputs: 1) f=predictive CDF function;
%2) yobs = observed y; 3)llim=lower limit; 4) ulim=upper limit
%3) and 4) are for numerical integration

ff=@(x) (f(x)-(yobs<=x)).^2; %squared of predictive density function
score=-integral(ff,llim,ulim);

end